Merge remote-tracking branch 'origin/master' into MPI
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/spreadsheet
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
76         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
77         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
78         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
79         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__uninstall_files_from_dir = { \
108   test -z "$$files" \
109     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
110     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
111          $(am__cd) "$$dir" && rm -f $$files; }; \
112   }
113 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
114         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
115         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
116         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
117 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
118 libscispreadsheet_algo_la_LIBADD =
119 am__objects_1 = libscispreadsheet_algo_la-xls.lo
120 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
121         libscispreadsheet_algo_la-pldstr.lo \
122         libscispreadsheet_algo_la-ole.lo \
123         libscispreadsheet_algo_la-bytedecoders.lo \
124         libscispreadsheet_algo_la-logger.lo \
125         libscispreadsheet_algo_la-ripole.lo \
126         libscispreadsheet_algo_la-bt-int.lo
127 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
128         $(am__objects_2)
129 libscispreadsheet_algo_la_OBJECTS =  \
130         $(am_libscispreadsheet_algo_la_OBJECTS)
131 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
132 am__objects_3 = libscispreadsheet_la-gw_spreadsheet.lo \
133         libscispreadsheet_la-sci_xls_read.lo \
134         libscispreadsheet_la-sci_xls_open.lo
135 am_libscispreadsheet_la_OBJECTS = $(am__objects_3)
136 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
137 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
138 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
139 am__depfiles_maybe = depfiles
140 am__mv = mv -f
141 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
142         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
143 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
144         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
145         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
146 CCLD = $(CC)
147 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
148         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
149         $(LDFLAGS) -o $@
150 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
151         $(libscispreadsheet_la_SOURCES)
152 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
153         $(libscispreadsheet_la_SOURCES)
154 DATA = $(libscispreadsheet_la_etc_DATA) \
155         $(libscispreadsheet_la_root_DATA) \
156         $(libscispreadsheet_la_sci_gateway_DATA)
157 ETAGS = etags
158 CTAGS = ctags
159 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
160 ACLOCAL = @ACLOCAL@
161 ALL_LINGUAS = @ALL_LINGUAS@
162 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
163 AMTAR = @AMTAR@
164 ANT = @ANT@
165 ANTLR = @ANTLR@
166 AR = @AR@
167 ARPACK_LIBS = @ARPACK_LIBS@
168 ASM3 = @ASM3@
169 AUTOCONF = @AUTOCONF@
170 AUTOHEADER = @AUTOHEADER@
171 AUTOMAKE = @AUTOMAKE@
172 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
173 AWK = @AWK@
174 BATIK = @BATIK@
175 BLAS_LIBS = @BLAS_LIBS@
176 CC = @CC@
177 CCACHE = @CCACHE@
178 CCDEPMODE = @CCDEPMODE@
179 CFLAGS = @CFLAGS@
180 CHECKSTYLE = @CHECKSTYLE@
181 COBERTURA = @COBERTURA@
182 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
183 COMMONS_IO = @COMMONS_IO@
184 COMMONS_LOGGING = @COMMONS_LOGGING@
185 CPP = @CPP@
186 CPPFLAGS = @CPPFLAGS@
187 CXX = @CXX@
188 CXXCPP = @CXXCPP@
189 CXXDEPMODE = @CXXDEPMODE@
190 CXXFLAGS = @CXXFLAGS@
191 CYGPATH_W = @CYGPATH_W@
192 DEFS = @DEFS@
193 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
194 DEPDIR = @DEPDIR@
195 DOCBOOK_ROOT = @DOCBOOK_ROOT@
196 DSYMUTIL = @DSYMUTIL@
197 DUMPBIN = @DUMPBIN@
198 ECHO_C = @ECHO_C@
199 ECHO_N = @ECHO_N@
200 ECHO_T = @ECHO_T@
201 EGREP = @EGREP@
202 EXEEXT = @EXEEXT@
203 F77 = @F77@
204 FFLAGS = @FFLAGS@
205 FFTW3_LIB = @FFTW3_LIB@
206 FFTW_ENABLE = @FFTW_ENABLE@
207 FGREP = @FGREP@
208 FLEXDOCK = @FLEXDOCK@
209 FLIBS = @FLIBS@
210 FOP = @FOP@
211 GENHTML = @GENHTML@
212 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
213 GIWS_BIN = @GIWS_BIN@
214 GLUEGEN2_RT = @GLUEGEN2_RT@
215 GMSGFMT = @GMSGFMT@
216 GMSGFMT_015 = @GMSGFMT_015@
217 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
218 GREP = @GREP@
219 GUI_ENABLE = @GUI_ENABLE@
220 HDF5_CFLAGS = @HDF5_CFLAGS@
221 HDF5_LIBS = @HDF5_LIBS@
222 HELP_ENABLE = @HELP_ENABLE@
223 INSTALL = @INSTALL@
224 INSTALL_DATA = @INSTALL_DATA@
225 INSTALL_PROGRAM = @INSTALL_PROGRAM@
226 INSTALL_SCRIPT = @INSTALL_SCRIPT@
227 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
228 INTLLIBS = @INTLLIBS@
229 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
230 JAR = @JAR@
231 JAVA = @JAVA@
232 JAVAC = @JAVAC@
233 JAVAC_DEBUG = @JAVAC_DEBUG@
234 JAVADOC = @JAVADOC@
235 JAVAH = @JAVAH@
236 JAVASCI_ENABLE = @JAVASCI_ENABLE@
237 JAVA_ENABLE = @JAVA_ENABLE@
238 JAVA_G = @JAVA_G@
239 JAVA_HOME = @JAVA_HOME@
240 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
241 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
242 JDB = @JDB@
243 JEUCLID_CORE = @JEUCLID_CORE@
244 JGRAPHX = @JGRAPHX@
245 JHALL = @JHALL@
246 JHDF5 = @JHDF5@
247 JLATEXMATH = @JLATEXMATH@
248 JLATEXMATH_FOP = @JLATEXMATH_FOP@
249 JOGL2 = @JOGL2@
250 JROSETTA_API = @JROSETTA_API@
251 JROSETTA_ENGINE = @JROSETTA_ENGINE@
252 JUNIT4 = @JUNIT4@
253 LAPACK_LIBS = @LAPACK_LIBS@
254 LCOV = @LCOV@
255 LD = @LD@
256 LDFLAGS = @LDFLAGS@
257 LIBICONV = @LIBICONV@
258 LIBINTL = @LIBINTL@
259 LIBM = @LIBM@
260 LIBOBJS = @LIBOBJS@
261 LIBS = @LIBS@
262 LIBTOOL = @LIBTOOL@
263 LIPO = @LIPO@
264 LN_S = @LN_S@
265 LOGGING_LEVEL = @LOGGING_LEVEL@
266 LOOKS = @LOOKS@
267 LTLIBICONV = @LTLIBICONV@
268 LTLIBINTL = @LTLIBINTL@
269 LTLIBOBJS = @LTLIBOBJS@
270 MAINT = @MAINT@
271 MAKEINFO = @MAKEINFO@
272 MATIO_CFLAGS = @MATIO_CFLAGS@
273 MATIO_ENABLE = @MATIO_ENABLE@
274 MATIO_LIBS = @MATIO_LIBS@
275 MKDIR_P = @MKDIR_P@
276 MPI_ENABLE = @MPI_ENABLE@
277 MSGCAT = @MSGCAT@
278 MSGFMT = @MSGFMT@
279 MSGFMT_015 = @MSGFMT_015@
280 MSGMERGE = @MSGMERGE@
281 NM = @NM@
282 NMEDIT = @NMEDIT@
283 OBJDUMP = @OBJDUMP@
284 OBJEXT = @OBJEXT@
285 OCAMLC = @OCAMLC@
286 OCAMLDEP = @OCAMLDEP@
287 OCAMLLEX = @OCAMLLEX@
288 OCAMLOPT = @OCAMLOPT@
289 OCAMLYACC = @OCAMLYACC@
290 OPENMPI_CC = @OPENMPI_CC@
291 OPENMPI_FLAGS = @OPENMPI_FLAGS@
292 OPENMPI_LIBS = @OPENMPI_LIBS@
293 OPENMP_CFLAGS = @OPENMP_CFLAGS@
294 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
295 OPENMP_ENABLE = @OPENMP_ENABLE@
296 OPENMP_LIBS = @OPENMP_LIBS@
297 OTOOL = @OTOOL@
298 OTOOL64 = @OTOOL64@
299 PACKAGE = @PACKAGE@
300 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
301 PACKAGE_NAME = @PACKAGE_NAME@
302 PACKAGE_STRING = @PACKAGE_STRING@
303 PACKAGE_TARNAME = @PACKAGE_TARNAME@
304 PACKAGE_URL = @PACKAGE_URL@
305 PACKAGE_VERSION = @PACKAGE_VERSION@
306 PATH_SEPARATOR = @PATH_SEPARATOR@
307 PCRE_CFLAGS = @PCRE_CFLAGS@
308 PCRE_CONFIG = @PCRE_CONFIG@
309 PCRE_LIBS = @PCRE_LIBS@
310 PCRE_VERSION = @PCRE_VERSION@
311 PKG_CONFIG = @PKG_CONFIG@
312 POSUB = @POSUB@
313 POW_LIB = @POW_LIB@
314 PYTHON = @PYTHON@
315 RANLIB = @RANLIB@
316 RELOCATABLE = @RELOCATABLE@
317 RT_LIB = @RT_LIB@
318 SAXON = @SAXON@
319 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
320 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
321 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
322 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
323 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
324 SCIRENDERER = @SCIRENDERER@
325 SCI_CFLAGS = @SCI_CFLAGS@
326 SCI_CXXFLAGS = @SCI_CXXFLAGS@
327 SCI_FFLAGS = @SCI_FFLAGS@
328 SCI_LDFLAGS = @SCI_LDFLAGS@
329 SED = @SED@
330 SET_MAKE = @SET_MAKE@
331 SET_RELOCATABLE = @SET_RELOCATABLE@
332 SHELL = @SHELL@
333 SKINLF = @SKINLF@
334 SPLINT = @SPLINT@
335 STRIP = @STRIP@
336 SWIG_BIN = @SWIG_BIN@
337 SWIG_JAVA = @SWIG_JAVA@
338 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
339 TCLTK_LIBS = @TCLTK_LIBS@
340 TCL_INC_PATH = @TCL_INC_PATH@
341 TK_INC_PATH = @TK_INC_PATH@
342 UMFPACK_ENABLE = @UMFPACK_ENABLE@
343 UMFPACK_LIB = @UMFPACK_LIB@
344 USE_NLS = @USE_NLS@
345 VERSION = @VERSION@
346 WITH_OCAML = @WITH_OCAML@
347 WITH_TKSCI = @WITH_TKSCI@
348 XCOS_ENABLE = @XCOS_ENABLE@
349 XGETTEXT = @XGETTEXT@
350 XGETTEXT_015 = @XGETTEXT_015@
351 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
352 XMKMF = @XMKMF@
353 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
354 XML_APIS_EXT = @XML_APIS_EXT@
355 XML_CONFIG = @XML_CONFIG@
356 XML_FLAGS = @XML_FLAGS@
357 XML_LIBS = @XML_LIBS@
358 XML_VERSION = @XML_VERSION@
359 X_CFLAGS = @X_CFLAGS@
360 X_EXTRA_LIBS = @X_EXTRA_LIBS@
361 X_LIBS = @X_LIBS@
362 X_PRE_LIBS = @X_PRE_LIBS@
363 abs_builddir = @abs_builddir@
364 abs_srcdir = @abs_srcdir@
365 abs_top_builddir = @abs_top_builddir@
366 abs_top_srcdir = @abs_top_srcdir@
367 ac_ct_CC = @ac_ct_CC@
368 ac_ct_CXX = @ac_ct_CXX@
369 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
370 ac_ct_F77 = @ac_ct_F77@
371 am__include = @am__include@
372 am__leading_dot = @am__leading_dot@
373 am__quote = @am__quote@
374 am__tar = @am__tar@
375 am__untar = @am__untar@
376 bindir = @bindir@
377 build = @build@
378 build_alias = @build_alias@
379 build_cpu = @build_cpu@
380 build_os = @build_os@
381 build_vendor = @build_vendor@
382 builddir = @builddir@
383 cxx_present = @cxx_present@
384 datadir = @datadir@
385 datarootdir = @datarootdir@
386 docdir = @docdir@
387 dvidir = @dvidir@
388 exec_prefix = @exec_prefix@
389 host = @host@
390 host_alias = @host_alias@
391 host_cpu = @host_cpu@
392 host_os = @host_os@
393 host_vendor = @host_vendor@
394 htmldir = @htmldir@
395 includedir = @includedir@
396 infodir = @infodir@
397 install_sh = @install_sh@
398 libdir = @libdir@
399 libexecdir = @libexecdir@
400 localedir = @localedir@
401 localstatedir = @localstatedir@
402 mandir = @mandir@
403 mkdir_p = @mkdir_p@
404 oldincludedir = @oldincludedir@
405 pdfdir = @pdfdir@
406 prefix = @prefix@
407 program_transform_name = @program_transform_name@
408 psdir = @psdir@
409 sbindir = @sbindir@
410 sharedstatedir = @sharedstatedir@
411 srcdir = @srcdir@
412 sysconfdir = @sysconfdir@
413 target_alias = @target_alias@
414 top_build_prefix = @top_build_prefix@
415 top_builddir = @top_builddir@
416 top_srcdir = @top_srcdir@
417 SPREADSHEET_C_SOURCES = src/c/xls.c
418 RIPOLE_SOURCES = src/c/ripole/olestream-unwrap.c \
419 src/c/ripole/pldstr.c \
420 src/c/ripole/ole.c \
421 src/c/ripole/bytedecoders.c \
422 src/c/ripole/logger.c \
423 src/c/ripole/ripole.c \
424 src/c/ripole/bt-int.c
425
426 GATEWAY_C_SOURCES = sci_gateway/c/gw_spreadsheet.c \
427 sci_gateway/c/sci_xls_read.c \
428 sci_gateway/c/sci_xls_open.c
429
430 libscispreadsheet_la_CPPFLAGS = -I$(srcdir)/includes/ \
431                                 -I$(srcdir)/src/c/ \
432                                 -I$(srcdir)/src/c/ripole \
433                                 -I$(top_srcdir)/libs/MALLOC/includes/ \
434                                 -I$(top_srcdir)/modules/localization/includes/ \
435                                 -I$(top_srcdir)/modules/output_stream/includes/ \
436                                 -I$(top_srcdir)/modules/io/includes/ \
437                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
438                                 -I$(top_srcdir)/modules/fileio/includes/ \
439                                 $(AM_CPPFLAGS)
440
441 pkglib_LTLIBRARIES = libscispreadsheet.la
442 noinst_LTLIBRARIES = libscispreadsheet-algo.la
443 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
444 libscispreadsheet_la_SOURCES = $(GATEWAY_C_SOURCES)
445 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
446
447 # For the code check (splint)
448 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_C_SOURCES) $(RIPOLE_SOURCES)
449 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
450 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la 
451
452 #### Target ######
453 modulename = spreadsheet
454
455 #### spreadsheet : Conf files ####
456 libscispreadsheet_la_rootdir = $(mydatadir)
457 libscispreadsheet_la_root_DATA = license.txt 
458
459 ####�spreadsheet : init scripts ####
460 libscispreadsheet_la_etcdir = $(mydatadir)/etc
461 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
462
463 ####�spreadsheet : gateway declaration ####
464 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
465 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
466
467 # Where all the Scilab stuff is installed (macros, help, ...)
468 mydatadir = $(pkgdatadir)/modules/$(modulename)
469
470 # Set AM_* SCI detected settings
471 AM_CPPFLAGS = $(SCI_CPPFLAGS)
472 AM_CFLAGS = $(SCI_CFLAGS)
473 AM_CXXFLAGS = $(SCI_CXXFLAGS)
474 # append includes to AM_FFLAGS to manage fortran includes
475 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
476
477 # Tag shared libraries with the Scilab version
478 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
479
480 # splint options
481 SPLINT_OPTIONS = -weak -booltype BOOL
482
483 ########################### JAVA ######################################
484 #### We are delegating java compilation to ant... Thanks to that
485 #### the procedure will be the same with Microsoft Windows (C)
486 #### and Linux/Unix
487 #######################################################################
488 TARGETS_ALL = $(am__append_1)
489
490 ################ MACROS ######################
491 # Rule to build a macro
492 # NOT USED  AT THE MOMENT
493 SUFFIXES = .sci 
494
495 ########### INSTALL DOCUMENTATION ###################
496
497 # Install documentation files into the right target
498 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
499 # automake needs the html files to be present which is not the case when
500 # we are building Scilab
501
502 # Where it should be installed
503 pkgdocdir = $(mydatadir)
504
505 # What is the mask of the help source
506 DOCMASKXML = *.xml
507
508 # What is the mask of the MathML sources
509 DOCMASKMML = *.mml
510
511 ########### INSTALL DATA ###################
512 # Install macros, help & demos
513 # Where it should be installed
514 pkgmacrosdir = $(mydatadir)
515 # Which directory we process
516 MACRODIRS = macros/
517 # Mask of the Scilab sources macros
518 MACROMASK = *.sci
519 # Mask of the Scilab executable sources macros
520 MACROBUILDMASK = *.sce
521 # Mask of the Scilab compiled macros
522 MACROBINMASK = *.bin
523 # List of the standard directory for tests
524 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
525 # Where the demos should be installed
526 pkgdemosdir = $(mydatadir)
527 # List of the standard directory for demos
528 DEMOS_DIR = demos
529 # List of the standard directory for examples
530 EXAMPLES_DIR = examples
531 # Where to export JAVA archives (.jar)
532 JARDIR = jar/
533 # JAR files mask
534 JARMASK = *.jar
535 # Chapter file 
536 HELP_CHAPTERDIR = help/
537 HELP_CHAPTERFILE = addchapter.sce
538 HELP_CHAPTERLANG = en_US fr_FR pt_BR
539 all: all-am
540
541 .SUFFIXES:
542 .SUFFIXES: .sci .bin .c .lo .o .obj
543 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
544         @for dep in $?; do \
545           case '$(am__configure_deps)' in \
546             *$$dep*) \
547               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
548                 && { if test -f $@; then exit 0; else break; fi; }; \
549               exit 1;; \
550           esac; \
551         done; \
552         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
553         $(am__cd) $(top_srcdir) && \
554           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
555 .PRECIOUS: Makefile
556 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
557         @case '$?' in \
558           *config.status*) \
559             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
560           *) \
561             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
562             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
563         esac;
564 $(top_srcdir)/Makefile.incl.am:
565
566 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
567         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
568
569 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
570         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
572         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
573 $(am__aclocal_m4_deps):
574
575 clean-noinstLTLIBRARIES:
576         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
577         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
578           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
579           test "$$dir" != "$$p" || dir=.; \
580           echo "rm -f \"$${dir}/so_locations\""; \
581           rm -f "$${dir}/so_locations"; \
582         done
583 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
584         @$(NORMAL_INSTALL)
585         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
586         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
587         list2=; for p in $$list; do \
588           if test -f $$p; then \
589             list2="$$list2 $$p"; \
590           else :; fi; \
591         done; \
592         test -z "$$list2" || { \
593           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
594           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
595         }
596
597 uninstall-pkglibLTLIBRARIES:
598         @$(NORMAL_UNINSTALL)
599         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
600         for p in $$list; do \
601           $(am__strip_dir) \
602           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
603           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
604         done
605
606 clean-pkglibLTLIBRARIES:
607         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
608         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
609           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
610           test "$$dir" != "$$p" || dir=.; \
611           echo "rm -f \"$${dir}/so_locations\""; \
612           rm -f "$${dir}/so_locations"; \
613         done
614 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
615         $(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
616 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
617         $(LINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
618
619 mostlyclean-compile:
620         -rm -f *.$(OBJEXT)
621
622 distclean-compile:
623         -rm -f *.tab.c
624
625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
636
637 .c.o:
638 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
639 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
643
644 .c.obj:
645 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
646 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
650
651 .c.lo:
652 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
653 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
657
658 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
659 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
660 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
664
665 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
666 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
667 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
671
672 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
673 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
674 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
678
679 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
680 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
681 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
685
686 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
687 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
688 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
692
693 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
694 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
695 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
699
700 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
701 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
702 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
706
707 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
708 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
709 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
713
714 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
715 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
716 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
720
721 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/c/sci_xls_read.c
722 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
723 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_xls_read.c' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
727
728 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/c/sci_xls_open.c
729 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_xls_open.c' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
734
735 mostlyclean-libtool:
736         -rm -f *.lo
737
738 clean-libtool:
739         -rm -rf .libs _libs
740 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
741         @$(NORMAL_INSTALL)
742         test -z "$(libscispreadsheet_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)"
743         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
744         for p in $$list; do \
745           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
746           echo "$$d$$p"; \
747         done | $(am__base_list) | \
748         while read files; do \
749           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
750           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
751         done
752
753 uninstall-libscispreadsheet_la_etcDATA:
754         @$(NORMAL_UNINSTALL)
755         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
756         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
757         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
758 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
759         @$(NORMAL_INSTALL)
760         test -z "$(libscispreadsheet_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)"
761         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
762         for p in $$list; do \
763           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
764           echo "$$d$$p"; \
765         done | $(am__base_list) | \
766         while read files; do \
767           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
768           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
769         done
770
771 uninstall-libscispreadsheet_la_rootDATA:
772         @$(NORMAL_UNINSTALL)
773         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
774         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
775         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
776 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
777         @$(NORMAL_INSTALL)
778         test -z "$(libscispreadsheet_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
779         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
780         for p in $$list; do \
781           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
782           echo "$$d$$p"; \
783         done | $(am__base_list) | \
784         while read files; do \
785           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
786           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
787         done
788
789 uninstall-libscispreadsheet_la_sci_gatewayDATA:
790         @$(NORMAL_UNINSTALL)
791         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
792         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
793         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
794
795 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
796         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
797         unique=`for i in $$list; do \
798             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
799           done | \
800           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
801               END { if (nonempty) { for (i in files) print i; }; }'`; \
802         mkid -fID $$unique
803 tags: TAGS
804
805 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
806                 $(TAGS_FILES) $(LISP)
807         set x; \
808         here=`pwd`; \
809         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
810         unique=`for i in $$list; do \
811             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
812           done | \
813           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
814               END { if (nonempty) { for (i in files) print i; }; }'`; \
815         shift; \
816         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
817           test -n "$$unique" || unique=$$empty_fix; \
818           if test $$# -gt 0; then \
819             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
820               "$$@" $$unique; \
821           else \
822             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
823               $$unique; \
824           fi; \
825         fi
826 ctags: CTAGS
827 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
828                 $(TAGS_FILES) $(LISP)
829         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
830         unique=`for i in $$list; do \
831             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
832           done | \
833           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
834               END { if (nonempty) { for (i in files) print i; }; }'`; \
835         test -z "$(CTAGS_ARGS)$$unique" \
836           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
837              $$unique
838
839 GTAGS:
840         here=`$(am__cd) $(top_builddir) && pwd` \
841           && $(am__cd) $(top_srcdir) \
842           && gtags -i $(GTAGS_ARGS) "$$here"
843
844 distclean-tags:
845         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
846
847 distdir: $(DISTFILES)
848         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
849         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
850         list='$(DISTFILES)'; \
851           dist_files=`for file in $$list; do echo $$file; done | \
852           sed -e "s|^$$srcdirstrip/||;t" \
853               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
854         case $$dist_files in \
855           */*) $(MKDIR_P) `echo "$$dist_files" | \
856                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
857                            sort -u` ;; \
858         esac; \
859         for file in $$dist_files; do \
860           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
861           if test -d $$d/$$file; then \
862             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
863             if test -d "$(distdir)/$$file"; then \
864               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
865             fi; \
866             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
867               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
868               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
869             fi; \
870             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
871           else \
872             test -f "$(distdir)/$$file" \
873             || cp -p $$d/$$file "$(distdir)/$$file" \
874             || exit 1; \
875           fi; \
876         done
877 check-am: all-am
878         $(MAKE) $(AM_MAKEFLAGS) check-local
879 check: check-am
880 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
881 installdirs:
882         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
883           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
884         done
885 install: install-am
886 install-exec: install-exec-am
887 install-data: install-data-am
888 uninstall: uninstall-am
889
890 install-am: all-am
891         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
892
893 installcheck: installcheck-am
894 install-strip:
895         if test -z '$(STRIP)'; then \
896           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
897             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
898               install; \
899         else \
900           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
901             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
902             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
903         fi
904 mostlyclean-generic:
905
906 clean-generic:
907
908 distclean-generic:
909         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
910         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
911
912 maintainer-clean-generic:
913         @echo "This command is intended for maintainers to use"
914         @echo "it deletes files that may require special tools to rebuild."
915 clean: clean-am
916
917 clean-am: clean-generic clean-libtool clean-local \
918         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
919
920 distclean: distclean-am
921         -rm -rf ./$(DEPDIR)
922         -rm -f Makefile
923 distclean-am: clean-am distclean-compile distclean-generic \
924         distclean-local distclean-tags
925
926 dvi: dvi-am
927
928 dvi-am:
929
930 html: html-am
931
932 html-am:
933
934 info: info-am
935
936 info-am:
937
938 install-data-am: install-data-local \
939         install-libscispreadsheet_la_etcDATA \
940         install-libscispreadsheet_la_rootDATA \
941         install-libscispreadsheet_la_sci_gatewayDATA
942
943 install-dvi: install-dvi-am
944
945 install-dvi-am:
946
947 install-exec-am: install-pkglibLTLIBRARIES
948
949 install-html: install-html-am
950
951 install-html-am: install-html-local
952
953 install-info: install-info-am
954
955 install-info-am:
956
957 install-man:
958
959 install-pdf: install-pdf-am
960
961 install-pdf-am:
962
963 install-ps: install-ps-am
964
965 install-ps-am:
966
967 installcheck-am:
968
969 maintainer-clean: maintainer-clean-am
970         -rm -rf ./$(DEPDIR)
971         -rm -f Makefile
972 maintainer-clean-am: distclean-am maintainer-clean-generic
973
974 mostlyclean: mostlyclean-am
975
976 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
977         mostlyclean-libtool
978
979 pdf: pdf-am
980
981 pdf-am:
982
983 ps: ps-am
984
985 ps-am:
986
987 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
988         uninstall-libscispreadsheet_la_rootDATA \
989         uninstall-libscispreadsheet_la_sci_gatewayDATA \
990         uninstall-pkglibLTLIBRARIES
991
992 .MAKE: check-am install-am install-strip
993
994 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
995         clean clean-generic clean-libtool clean-local \
996         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
997         distclean distclean-compile distclean-generic \
998         distclean-libtool distclean-local distclean-tags distdir dvi \
999         dvi-am html html-am info info-am install install-am \
1000         install-data install-data-am install-data-local install-dvi \
1001         install-dvi-am install-exec install-exec-am install-html \
1002         install-html-am install-html-local install-info \
1003         install-info-am install-libscispreadsheet_la_etcDATA \
1004         install-libscispreadsheet_la_rootDATA \
1005         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1006         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1007         install-ps install-ps-am install-strip installcheck \
1008         installcheck-am installdirs maintainer-clean \
1009         maintainer-clean-generic mostlyclean mostlyclean-compile \
1010         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1011         tags uninstall uninstall-am \
1012         uninstall-libscispreadsheet_la_etcDATA \
1013         uninstall-libscispreadsheet_la_rootDATA \
1014         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1015         uninstall-pkglibLTLIBRARIES
1016
1017
1018 # This target enables tests for Scilab
1019 check-local: $(top_builddir)/scilab-bin test
1020         if test -d $(mydatadir)/tests; then \
1021           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1022         fi
1023 check-code:
1024         if test -f build.xml; then \
1025                 $(ANT) checkstyle; \
1026         fi
1027         if test -x "$(SPLINT)"; then \
1028                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1029         fi
1030 @NEED_JAVA_TRUE@java:
1031 # Some configurations needs to export JAVA_HOME in the current env
1032 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1033 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1034 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1035 @NEED_JAVA_TRUE@                $(ANT); \
1036 @NEED_JAVA_TRUE@        fi
1037
1038 @NEED_JAVA_TRUE@clean-java:
1039 # Some configurations needs to export JAVA_HOME in the current env
1040 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1041 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1042 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1043 @NEED_JAVA_TRUE@                $(ANT) clean; \
1044 @NEED_JAVA_TRUE@        fi;
1045
1046 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1047 # We call the target swig-build on the variable SWIG_WRAPPERS
1048
1049 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1050 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1051 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1052 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1053 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1054 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1055 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1056 @SWIG_TRUE@             done; \
1057 @SWIG_TRUE@     fi
1058
1059 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1060 # We call the target swig-build on the variable SWIG_WRAPPERS
1061
1062 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1063 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1064 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1065 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1066 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1067 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1068 @GIWS_TRUE@             done; \
1069 @GIWS_TRUE@     fi
1070
1071 @GIWS_TRUE@giws-exception:
1072 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1073 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1074 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1075
1076 macros:
1077         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1078                 echo "Error : Cannot build $< : Scilab has not been built"; \
1079         else \
1080                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1081         fi)
1082
1083 # Removes the macros
1084 clean-macros:
1085 # Removes macros (*.bin generated from .sci)
1086         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1087                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1088                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1089         done
1090
1091 test:
1092 # More tests could be added here
1093         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1094         if test -f build.xml -a $$USEANT -eq 1; then \
1095                 $(ANT) test; \
1096         fi
1097
1098 all-local: $(TARGETS_ALL)
1099
1100 .sci.bin:
1101         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1102         echo "Error : Cannot build $< : Scilab has not been build"; \
1103         else \
1104         echo "Creating $@"; \
1105         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1106         fi )
1107
1108 install-html-local:
1109
1110 install-data-local-local:
1111 # Mainly for javasci
1112         @if test -d $(srcdir)/javadoc; then \
1113                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1114         fi
1115 # If the user wants the help sources to be installed
1116 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1117 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1118 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1119 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1120 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1121 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1122 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1123 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1124 @INSTALL_HELP_XML_TRUE@           done ; \
1125 @INSTALL_HELP_XML_TRUE@         fi; \
1126 @INSTALL_HELP_XML_TRUE@  fi; \
1127 @INSTALL_HELP_XML_TRUE@ done; \
1128 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1129 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1130 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1131 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1132 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1133 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1134 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1135 @INSTALL_HELP_XML_TRUE@           done ; \
1136 @INSTALL_HELP_XML_TRUE@         fi; \
1137 @INSTALL_HELP_XML_TRUE@ fi
1138 install-data-local:
1139 # Install the tests
1140         @echo "-------- Install tests (if any) --------"; \
1141         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1142           if test -d $(srcdir)/$$dir/; then \
1143             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1144                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1145                     if test -d "$(srcdir)/$$dir/$$file"; then \
1146                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1147                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1148                     else \
1149                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1150                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1151                     fi \
1152                   done; \
1153           fi; \
1154         done
1155 # Install the help chapter
1156         @echo "-------- Install the help chapter (if any) --------"; \
1157         for lang in $(HELP_CHAPTERLANG); do \
1158                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1159                 if test -f $$HELPFILE; then \
1160                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1161                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1162                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1163                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1164                 fi; \
1165         done
1166 # Install the demos & examples
1167         @echo "-------- Install demos & examples (if any) --------"; \
1168         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1169           if test -d $(srcdir)/$$dir/; then \
1170             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1171                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1172                     if test -d "$(srcdir)/$$dir/$$file"; then \
1173                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1174                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1175                     else \
1176                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1177                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1178                     fi \
1179                   done; \
1180           fi; \
1181         done
1182 # Install the macros
1183         @echo "-------- Install macros (if any) --------"; \
1184         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1185           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1186                 if test -d $(srcdir)/$$dir/; then \
1187                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1188                         if test -n "$(MACROSSPECIALEXT)"; then \
1189                                 specialExtDir=""; \
1190                                 for specialExt in $(MACROSSPECIALEXT); do \
1191                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1192                                 done; \
1193                                 FILELIST="$$FILELIST $$specialExtDir"; \
1194                         fi; \
1195                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1196                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1197                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1198                   done; \
1199                 fi; \
1200         done
1201 # Install java files (.jar)
1202         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1203         echo "-------- Install jar files --------"; \
1204     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1205           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1206                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1207                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1208           done ; \
1209         fi
1210
1211 ########### CLEAN ###################
1212 # Clean help (generated automatically by Scilab)
1213 # It used to clean the macro (clean-macros) but this was causing
1214 # make clean && make to fail Scilab startup
1215 @NEED_JAVA_TRUE@clean-local: clean-java
1216 @NEED_JAVA_FALSE@clean-local:
1217
1218 distclean-local:
1219         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1220
1221 .PHONY: macros java swig giws
1222
1223 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1224 # Otherwise a system limit (for SysV at least) may be exceeded.
1225 .NOEXPORT: